Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.jui
Class JUFormattedTextFieldDef

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.adf.model.binding.DCDefBase
oracle.adf.model.binding.DCControlBindingDef
oracle.jbo.uicli.binding.JUControlDef
oracle.jbo.uicli.binding.JUCtrlValueDef
oracle.jbo.uicli.binding.JUCtrlAttrsDef
oracle.jbo.uicli.jui.JUFormattedTextFieldDef`

All Implemented Interfaces:
  ValidationManager

public class JUFormattedTextFieldDef
extends JUCtrlAttrsDef

Nested Class Summary
`static class` | `JUFormattedTextFieldDef.DateFormatDef`
`static class` | `JUFormattedTextFieldDef.MaskFormatDef`
`static class` | `JUFormattedTextFieldDef.NumberFormatDef`
`static class` | `JUFormattedTextFieldDef.RegExpFormatDef`

Field Summary
`static int` | `DATE_FORMATTER`
`static int` | `DEFAULT_FORMATTER`
`static int` | `MASK_FORMATTER`
`static int` | `NUMBER_FORMATTER`
`static java.lang.String` | `PNAME_ActiveFormatter`
`static int` | `REGEXP_FORMATTER`

Fields inherited from class oracle.jbo.uicli.binding.JUCtrlValueDef
`DEFAULT_HANDLER, PNAME_ApplyValidation, PNAME_AttrNames, PNAME_InputHandler, PNAME_ListNullValueId`

Fields inherited from class oracle.adf.model.binding.DCControlBindingDef
`PNAME_ControlBindingClass, PNAME_ControlClass, PNAME_CustomInputHandler, PNAME_InitialValue, PNAME_IterBinding, PNAME_TYPE`

Fields inherited from class oracle.adf.model.binding.DCDefBase
`DEF_XMLNS, DEF_XMLNS_BASE, PNAME_AccessorIterator, PNAME_Action, PNAME_Boolean, PNAME_Button, PNAME_ButtonGroup, PNAME_ComboBox, PNAME_DataControlAction, PNAME_DefaultControl, PNAME_DynamicTable, PNAME_EnumList, PNAME_FormattedTextField, PNAME_Graph, PNAME_HGrid, PNAME_Iterator, PNAME_Label, PNAME_ListSingleSel, PNAME_LovButton, PNAME_LOVList, PNAME_MethodAction, PNAME_MethodIterator, PNAME_NavigationBar, PNAME_NavigationList, PNAME_Panel, PNAME_Parameter, PNAME_ProgressBar, PNAME_ProgressBarAttr, PNAME_Range, PNAME_ScrollBar, PNAME_ScrollBarAttr, PNAME_Slider, PNAME_SliderAttr, PNAME_Spinner, PNAME_Table, PNAME_TextField, PNAME_ToplinkIterator, PNAME_Tree`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`JUFormattedTextFieldDef()`
`JUFormattedTextFieldDef(java.lang.String name, java.lang.String iterBindingName, java.lang.String[] attrNames)`
`JUFormattedTextFieldDef(java.lang.String name, java.lang.String controlClassName, java.lang.String controlBindingClassName, java.lang.String iterBindingName, java.lang.String[] attrNames)`

Method Summary
`java.lang.Object` | `createControl()`
`protected oracle.adf.model.binding.DCControlBinding` | `createControlBindingInstance(java.lang.Object control, oracle.adf.model.binding.DCBindingContainer formBnd)`
`int` | `getActiveFormatter()`
`JUFormattedTextFieldDef.DateFormatDef` | `getDateFormatDef()`
`JUFormattedTextFieldDef.MaskFormatDef` | `getMaskFormatDef()`
`JUFormattedTextFieldDef.NumberFormatDef` | `getNumberFormatDef()`
`JUFormattedTextFieldDef.RegExpFormatDef` | `getRegExpFormatDef()`
`void` | `init(java.util.HashMap initValues)`
`protected void` | `initSubType()`
`void` | `loadChildrenFromXML(DefElement xmlElement)`
`protected void` | `retrieveFromXML(DefElement xmlElement, java.util.HashMap valueTab)`

Methods inherited from class oracle.jbo.uicli.binding.JUCtrlValueDef
`addValidator, createControlBinding, getAttrNames, getCustomInputHandler, getFirstAttrName, getIterBinding, getMessageBundleClass, getNullValueId, getNullValueObject, getValidators, hasCustomInputHandler, isApplyValidation, loadCustomDef, loadFromXML, setApplyValidation, setCustomInputHandler, setNullValueObject`

Methods inherited from class oracle.adf.model.binding.DCControlBindingDef
`createControlBinding, getBindingContainerDef, getControlBindingClassName, getControlClassName, getDesignTimeClass, getInitialValue, getIterBinding, getIterBindingName, getLayoutCons, getXMLElementTag, setBindingContainerDef, setControlBindingClassName, setControlClassName, setInitialValue`

Methods inherited from class oracle.adf.model.binding.DCDefBase
`convertToBoolean, convertToInt, convertToIntArray, createAndLoadFromXML, getDefClassName, getSubType, isDirty, isNew, readXMLBoolean, readXMLInt, readXMLString, readXMLStringArray, readXMLStringArrayList, readXMLStringArrayList, setDefClassName, setDirty, setNew, setSubType`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, finishedLoading, getBaseDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, loadProperties, resolveReferences, setBaseDefObject, setName, setObjectResolved, setParent`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jbo.rules.ValidationManager
`getName`

Field Detail

### PNAME_ActiveFormatter

    public static final java.lang.String PNAME_ActiveFormatter

  See Also:
    Constant Field Values

### DATE_FORMATTER

    public static final int DATE_FORMATTER

  See Also:
    Constant Field Values

### MASK_FORMATTER

    public static final int MASK_FORMATTER

  See Also:
    Constant Field Values

### DEFAULT_FORMATTER

    public static final int DEFAULT_FORMATTER

  See Also:
    Constant Field Values

### NUMBER_FORMATTER

    public static final int NUMBER_FORMATTER

  See Also:
    Constant Field Values

### REGEXP_FORMATTER

    public static final int REGEXP_FORMATTER

  See Also:
    Constant Field Values

Constructor Detail

### JUFormattedTextFieldDef

    public JUFormattedTextFieldDef()

### JUFormattedTextFieldDef

    public JUFormattedTextFieldDef(java.lang.String name,
                                   java.lang.String controlClassName,
                                   java.lang.String controlBindingClassName,
                                   java.lang.String iterBindingName,
                                   java.lang.String[] attrNames)

### JUFormattedTextFieldDef

    public JUFormattedTextFieldDef(java.lang.String name,
                                   java.lang.String iterBindingName,
                                   java.lang.String[] attrNames)

Method Detail

### getActiveFormatter

    public int getActiveFormatter()

### initSubType

    protected void initSubType()

  Overrides:
    `initSubType` in class `JUCtrlAttrsDef`

### getDateFormatDef

    public JUFormattedTextFieldDef.DateFormatDef getDateFormatDef()

### getMaskFormatDef

    public JUFormattedTextFieldDef.MaskFormatDef getMaskFormatDef()

### getNumberFormatDef

    public JUFormattedTextFieldDef.NumberFormatDef getNumberFormatDef()

### getRegExpFormatDef

    public JUFormattedTextFieldDef.RegExpFormatDef getRegExpFormatDef()

### createControl

    public java.lang.Object createControl()

### init

    public void init(java.util.HashMap initValues)

  Overrides:
    `init` in class `JUCtrlValueDef`

### retrieveFromXML

    protected void retrieveFromXML(DefElement xmlElement,
                                   java.util.HashMap valueTab)

### createControlBindingInstance

    protected oracle.adf.model.binding.DCControlBinding createControlBindingInstance(java.lang.Object control,
                                                                                     oracle.adf.model.binding.DCBindingContainer formBnd)

  Overrides:
    `createControlBindingInstance` in class `JUCtrlAttrsDef`

### loadChildrenFromXML

    public void loadChildrenFromXML(DefElement xmlElement)

  Overrides:
    `loadChildrenFromXML` in class `JUCtrlValueDef`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.